aboutsummaryrefslogtreecommitdiffhomepage
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index efa5a599..f40d3bcf 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -13,7 +13,14 @@ __EOF__
exit 1
fi
-set -ex
+if test ! -e gtest; then
+ echo "gtest bundle not present. Downloading gtest-1.3.0 automatically." >&2
+ set -ex
+ curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx
+ mv gtest-1.3.0 gtest
+else
+ set -ex
+fi
# TODO(kenton): Remove the ",no-obsolete" part and fix the resulting warnings.
autoreconf -f -i -Wall,no-obsolete